@import url(wovn-lang-font/notosansjp_400.css);
@import url(wovn-lang-font/notosansjp_700.css);

.bc-wl_area_box{
  display: flex;
  justify-content: space-between;
}

.wovn-languages_position {
  display: flex;
  justify-content: flex-end;
  padding-top: calc((22 / 750)* 100vw);
}

.wovn-languages_position.-noiconTop{
  width: 95%;
  margin: 0 auto;
  padding-top: 0;
}
.wovn-languages_position.-noiconTop{
  padding-top: 0;
}
.wovn-languages_position.-noicon{
  padding-top: 0;
}

.language-box {
  position: relative; /* プルダウンの基準 */
  width: 76px;
  height: 34px;
  cursor: pointer;
  background-color: #fff;
  border: 1px solid #cccccc;
  border-radius: 4px;
  font-size: 13px;
  font-weight: 700;
}
@media screen and (min-width: 813px) {
  .language-box {
    width: 92px;
  }
  .wovn-languages_position {
    padding-top: 22px;
  }
  .wovn-languages_position.-noiconTop{
    padding-top: 22px;
  }
}

/* 表示ラベル（ボタン部分） */
.current-lang-label {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  line-height: 100%;
}

/* 言語リストのコンテナ（ここだけ浮かせる！） */
.lang-list {
  display: none; /* 通常は非表示 */
  position: absolute;
  top: 33px; /* ボタンのすぐ下 */
  left: -1px; /* 枠線の分だけ調整 */
  width: calc(100% + 2px);
  border: 1px solid #cccccc;
  background-color: #fff;
  z-index: 1;
  border-radius: 4px;
  border-top: none;
}

/* メニューが開いた時 */
.language-box.is-open .lang-list {
  display: block;
  border-radius: 0 0 4px 4px;
}
.language-box.is-open{
  border-radius:4px 4px 0 0 ;
}

/* リスト内の各言語 */
.wovn-switch {
  display: block;
  padding: 10px;
  font-weight: 400;
  border-bottom: 1px solid #DADADA;
  text-align: center;
}

.wovn-font{
  font-family: "Noto Sans JP", "Hiragino Kaku Gothic ProN", "ヒラギノ角ゴ ProN W3", sans-serif;
}

html[lang="ja"] .wovn-switch[data-value="ja"],
html[lang="en"] .wovn-switch[data-value="en"],
html[lang="zh-Hant-HK"] .wovn-switch[data-value="zh-Hant-HK"],
html[lang="zh-Hant-TW"] .wovn-switch[data-value="zh-Hant-TW"] {
  display: none !important;
}

.wovn-switch:last-child {
  border-bottom: none;
}

/* 基本設定 */
.current-lang-label::before {
  display: inline-block;
}

/* 言語ごとのテキスト出し分け */
html[lang="ja"] .current-lang-label::before {
  content: "\65e5\672c\8a9e";
}

html[lang="en"] .current-lang-label::before {
  content: "English";
}

html[lang="zh-Hant-HK"] .current-lang-label::before {
  content: "\7b80\4f53\4e2d\6587";
}

html[lang="zh-Hant-TW"] .current-lang-label::before {
  content: "\7e41\9ad4\4e2d\6587";
}

/* ホバー時はグレー */
.wovn-switch:hover {
  background-color: #f5f5f5;
}

